using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Drawing;
using System.Runtime.Serialization;
using Syncfusion.Windows.Forms.Diagram;

/// <summary>
/// Summary description for CustomSymbol
/// </summary>
[Serializable ]
public class CustomSymbol:Group
{
    public CustomSymbol()
    {
        Ellipse ellipse = new Ellipse(0, 0, 160, 80);
        ellipse.FillStyle.Color = Color.Red;
        this.AppendChild(ellipse);

        TextNode textNode = new TextNode("Hello World", new RectangleF(40, 30, 80, 20));
        textNode.BackgroundStyle.Color = Color.Yellow;
        textNode.BackgroundStyle.ColorAlphaFactor = 255;
        textNode.FontColorStyle.Color = Color.Red;
        textNode.EditStyle.AllowSelect = false;
        this.AppendChild(textNode);
    }

    public CustomSymbol(SerializationInfo info, StreamingContext context)
        : base(info, context)
    {
       
    }

    protected override void GetObjectData(SerializationInfo info, StreamingContext context)
    {
        base.GetObjectData(info, context);       
    }
}
